Subject: Re: [manet] #8: HopCount and alternate metrics in AODVv2

From: "manet issue tracker" <[email-masked]>
Date: Tue, 25 Jun 2013 01:24:08 -0000

#8: HopCount and alternate metrics in AODVv2

Comment (by [email-masked]):

 ---------------------------------------------------------------------

 On 11/7/2012 1:29 PM, JP Vasseur (jvasseur) wrote:

 Completely agreeing. Although I love simplicity with only hop counts, it
 turns out not to always be the most relevant metric in MANET. It is not so
 rare to see shorter delays on longer paths in terms of hop counts. Same
 comment for Packet Delivery Ratio (some link may have really high ETX!).
 Not suggesting to adopt a similar model as in RFC6551, but adding a bit of
 flexibility will help in the future, even if we start with something very
 simple.

 ---------------------------------------------------------------------

 On 11/7/2012 1:39 PM, Henning Rogge wrote:

 In my experience Hopcount metrics don't work well in wireless networks
 unless you have very specific links. Using hopcount as a metric means
 you optimize for LONG links, which are often the ones that do not work
 reasonable well. Without a well thought hysteresis your network might
 just dissolve into a huge mess, especially for multirate networks like
 IEEE802.11.

 Saying "hopcount is the most relevant metric in MANET" is at best
 shady... and at worst just wrong.

 I agree that <(CEP): typo deleted here> specifying the metric is a good
 idea (similar to the
 way it has been done in OLSRv2), but hopcount only is a poor choice
 for a metric.

 ---------------------------------------------------------------------

-- 
-------------------------------------+------------------------------
 Reporter:  [email-masked]    |       Owner:  Charlie Perkins
     Type:  enhancement              |      Status:  new
 Priority:  major                    |   Milestone:
Component:  dymo                     |     Version:
 Severity:  Active WG Document       |  Resolution:
 Keywords:  route metric, hop count  |
-------------------------------------+------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/8#comment:1>
manet <http://tools.ietf.org/manet/>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 24 Jun 2013 18:34:19 -0700

Hello folks,

I have collected together the comments to this issue and posted
them on the issue tracker.  The upshot is that the comments to
the mailing list supported the generalization of AODVv2 to support
alternate metrics.  This has been done, and the metric type (when
not the default) is to be determined by the contents of a new
message TLV, the Metric Type TLV which contains the metric type
(from RFC 6551) of the metric values in the address block Metric TLV.

No additional problems have been identified with the additional
specification to enable alternative metric types.  Unless new issues
are brought to the attention of the mailing list, I think it is safe to
close this issue.

Regards,
Charlie P.

On 11/8/2012 9:31 AM, JP Vasseur (jvasseur) wrote:
>
> On Nov 7, 2012, at 10:39 PM, Henning Rogge wrote:
>
>> On Wed, Nov 7, 2012 at 10:29 PM, JP Vasseur (jvasseur)
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>> Hi Charlie,
>>>
>>> On Nov 7, 2012, at 11:56 AM, manet issue tracker wrote:
>>>
>>>> Most of the language in the current specification for route metrics is
>>>> actually specific to !HopCount.  It is proposed to rename existing 
>>>> metric
>>>> fields to actually *be* !HopCount, to improve clarity.
>>>>
>>>> Following common practice up until now, the default route metric for
>>>> AODVv2 is !HopCount.  Nevertheless, the document should allow for
>>>> alternate metrics to be used.  To be compatible with RFC 5444 and the
>>>> current reactive features, the following design guidelines are 
>>>> suggested.
>>>> * a new AddTLV of type "metric" should be supported.  The metric AddTLV
>>>>   would supply metric values for each of the addresses in the !AddBlk
>>>> * a metric 'type' should be supplied in a msg-TLV
>>>>
>>>> Whether or not the metric belongs in AODVv2 this year is a matter for
>>>> discussion.  The design can be quite straightforward, requiring only an
>>>> IANA registry for "metric type".  Given the flexibiity of RFC 5444 msg-
>>>> header format, very general metrics could be supported.  Metric 
>>>> type '0'
>>>> would be reserved for HopCount.
>>>
>>> Completely agreeing. Although I love simplicity with only hop 
>>> counts, it turns out not
>>> to always be the most relevant metric in MANET.
>>
> we agree this is what I wrote ;-) ... "*Although* I love simplicity 
> with only hop counts, it turns out *not*
> to always be the most relevant metric in MANET
>
>>
>>> It is not so rare to see shorter delays
>>> on longer paths in terms of hop counts. Same comment for Packet 
>>> Delivery Ratio (some
>>> link may have really high ETX!).
>>> Not suggesting to adopt a similar model as in RFC6551, but adding a 
>>> bit of flexibility will
>>> help in the future, even if we start with something very simple.
>>
>> I agree that not specifying the metric is a good idea (similar to the
> indeed, this is why I was referring to the RFC6551 (being the editor 
> of the document) although we may
> not need all of these metrics.
>
> JP.
>
>> Henning Rogge
>>
>> -- 
>> Steven Hawkings about cosmic inflation: "An increase of billions of
>> billions of percent in a tiny fraction of a second. Of course, that
>> was before the present government."
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

-- 
Regards,
Charlie P.